import request from '@/utils/request'

// 分页条件查询事件数据
export function massEventsList(params) {
	return request({
		url: '/api/earlyWarningAudit/massEvents/colonyPage',
		method: 'get',
		params
	})
}
// 获取代办事项
export function eventPageCount(params) {
	return request({
		url: '/api/earlyWarningAudit/massEvents/eventPageCount',
		method: 'get',
		params
	})
}
//根据事件的innerEventId分页查询审核工单列表
export function massEventsinfo(params) {
	return request({
		url: `/api/earlyWarningAudit/massEvents/auditList/${params}`,
		method: 'get',
	})
}
export function massEventsinfoTow(innerEventId,params) {
	return request({
		url: `/api/earlyWarningAudit/massEvents/auditList/${innerEventId}`,
		method: 'get',
		params
	})
}
// 查询事件详情
export function getByInnerEventId(params) {
	return request({
		url: `/api/earlyWarningAudit/massEvents/getByInnerEventId/${params}`,
		method: 'get',
	})
}
// 修改事件标题
export function massEventsedit(data) {
	return request({
		url: `/api/earlyWarningAudit/massEvents/edit`,
		method: 'post',
		data
	})
}
// 事件提级或退回
export function eventChangeIsReport(data) {
	return request({
		url: `/api/earlyWarningAudit/massEvents/eventChangeIsReport`,
		method: 'post',
		data
	})
}

